Search calendar subscribers

Search for calendar subscribers that have been previously created. Returns a search result object that contains a subscribers property that contains an array of up to page_size calendar subscribers. If no calendar subscribers match the query, the resulting array will be empty.

Query Params
calendar_ids
array of strings

Comma-separated list of calendar IDs. Limits search results to those specific calendars.

calendar_ids
status
array of strings
Defaults to active

Only return subscribers with a specific status. Allowed values are:

  • active: The calendar subscriber's feed has synced in the last 30 days.
  • inactive: The calendar subscriber's feed has not synced in the last 30 days.
  • blocked: The calendar subscriber has been blocked by the calendar owner. The calendar subscriber's feed will not show any events.
status
integer
≥ 1
Defaults to 1

Page number of the search results. The first page of results is page=1.

integer
1 to 20
Defaults to 10

A limit on the number of objects to be returned. page_size must be between 1 and 20, and the default is 10.

string
enum
Defaults to created

The calendar subscriber property to sort by. Allowed values are created, synced, or calendar_id. If sort_order is provided, then sort_by must also be provided.

Allowed:
string
enum
Defaults to desc

The order of the returned search results, sorted by the property specified in sort_by. Allowed values are asc or desc. If sort_order is provided, then sort_by must also be provided.

Allowed:
Responses

Language
Credentials
Bearer
APIkey
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json